Issue 60317 - storeToURL method should document what kind of filters can't be used with it
storeToURL method should document what kind of filters can't be used with it
Status: CLOSED FIXED
Product: App Dev
Classification: Unclassified
Component: sdk
OOo 3.3 or older
All All
: P3 trivial
: ---
Assigned To: chne
issues@api
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2006-01-10 13:28 UTC by Mathias_Bauer
Modified: 2013-02-24 20:54 UTC (History)
2 users (show)

See Also:
Issue Type: DEFECT
Latest Confirmation on: ---
Developer Difficulty: ---


Attachments

Note You need to log in before you can comment on or make changes to this issue.
Description Mathias_Bauer 2006-01-10 13:28:33 UTC
The documentation should mention the following:

"storeAsURL" does not allow to use pure export filters because a side effect of
this method is that the "modified" flag of the document is cleared and if the
exported format can't be read anymore the user faces data loss. For this reason
"storeAsURL" will throw an exception if a pure export filter shall be used

So pure export filters can be used with "storeToURL" only (where the "modified"
flag is not cleared).
Comment 1 Mathias_Bauer 2006-01-25 09:33:35 UTC
Fixed in cws jsc4. A comment explaining the filter problem was added to the
description of both methods, storeaAsURL and storeToURL.
Comment 2 jsc 2006-01-26 16:10:59 UTC
change owner for verification

re-open issue and reassign to cn@openoffice.org
Comment 3 jsc 2006-01-26 16:11:06 UTC
reassign to cn@openoffice.org
Comment 4 jsc 2006-01-26 16:11:10 UTC
reset resolution to FIXED
Comment 5 chne 2006-01-27 20:33:31 UTC
ok in jsc4 => verified
Comment 6 chne 2006-02-13 15:51:10 UTC
ok in src680_m156 => zu